# Gnome::GdaUI Namespace Reference

## Classes

class | BasicForm
| BasicForm - Form widget mapping the values contained in a Gnome::Gda::Set. More...
class | Cloud
| Cloud - Cloud widget. More...
class | Combo
| Combo - Combo box to choose from the contents of a Gnome::Gda::DataModel. More...
class | DataEntry
| DataEntry - Data entry widget. More...
class | DataFilter
| DataFilter - Entrer rules to filter the rows in a DataProxy. More...
class | DataProxy
| DataProxy - Modifying data in a Gome::Gda::DataModel. More...
class | DataProxyInfo
| DataProxyInfo - Shows information and actions about a DataProxy widget. More...
class | DataSelector
| DataSelector - Selecting data in a Gnome::Gda::DataModel. More...
class | DataStore
| DataStore - Bridge between a Gnome::Gda::DataModel and a Gtk::TreeModel. More...
class | Form
| Form - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations. More...
class | Grid
| Grid - Grid widget to manipulate data in a Gnome::Gda::DataModel, with decorations. More...
class | Login
| Login - Connection opening dialog. More...
class | ProviderSelector
| ProviderSelector - Select a database provider from a combo box. More...
class | RawForm
| RawForm - Form widget to manipulate data in a Gnome::Gda::DataModel, with decorations. More...
class | RawGrid
| RawGrid - Grid widget to manipulate data in a Gnome::Gda::DataModel. More...
class | ServerOperation
| ServerOperation - Entrer information to perform a DDL query. More...

## Enumerations

enum | Action { ACTION_NEW_DATA, ACTION_WRITE_MODIFIED_DATA, ACTION_DELETE_SELECTED_DATA, ACTION_UNDELETE_SELECTED_DATA, ACTION_RESET_DATA, ACTION_MOVE_FIRST_RECORD, ACTION_MOVE_PREV_RECORD, ACTION_MOVE_NEXT_RECORD, ACTION_MOVE_LAST_RECORD, ACTION_MOVE_FIRST_CHUNCK, ACTION_MOVE_PREV_CHUNCK, ACTION_MOVE_NEXT_CHUNCK, ACTION_MOVE_LAST_CHUNCK }
enum | DataProxyWriteMode { DATA_PROXY_WRITE_ON_DEMAND, DATA_PROXY_WRITE_ON_ROW_CHANGE, DATA_PROXY_WRITE_ON_VALUE_ACTIVATED, DATA_PROXY_WRITE_ON_VALUE_CHANGE }
enum | DataProxyInfoFlag { DATA_PROXY_INFO_NONE = 0, DATA_PROXY_INFO_CURRENT_ROW = 1 << 0, DATA_PROXY_INFO_ROW_MODIFY_BUTTONS = 1 << 2, DATA_PROXY_INFO_ROW_MOVE_BUTTONS = 1 << 3, DATA_PROXY_INFO_CHUNCK_CHANGE_BUTTONS = 1 << 4, DATA_PROXY_INFO_NO_FILTER = 1 << 5 }
enum | LoginMode { LOGIN_ENABLE_CONTROL_CENTRE_MODE = 1 << 0, LOGIN_HIDE_DSN_SELECTION_MODE = 1 << 1, LOGIN_HIDE_DIRECT_CONNECTION_MODE = 1 << 2 }

## Functions

DataProxyInfoFlag | operator| (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | operator& (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | operator^ (DataProxyInfoFlag lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag | operator~ (DataProxyInfoFlag flags)
DataProxyInfoFlag& | operator|= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag& | operator&= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
DataProxyInfoFlag& | operator^= (DataProxyInfoFlag& lhs, DataProxyInfoFlag rhs)
LoginMode | operator| (LoginMode lhs, LoginMode rhs)
LoginMode | operator& (LoginMode lhs, LoginMode rhs)
LoginMode | operator^ (LoginMode lhs, LoginMode rhs)
LoginMode | operator~ (LoginMode flags)
LoginMode& | operator|= (LoginMode& lhs, LoginMode rhs)
LoginMode& | operator&= (LoginMode& lhs, LoginMode rhs)
LoginMode& | operator^= (LoginMode& lhs, LoginMode rhs)
void | init ()
| Initialize libgda-uimm.

## Function Documentation

void Gnome::GdaUI::init | ( |  | ) |

Initialize libgda-uimm.